Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Auto_Event Class Reference

Auto Events. More...

`#include <Auto_Event.h>`

Inheritance diagram for ACE_Auto_Event:

[legend]
Collaboration diagram for ACE_Auto_Event:

[legend]
List of all members.

## Public Member Functions
| ACE_Auto_Event (int initial_state=0, int type=USYNC_THREAD, const char *name=0, void *arg=0)
| Constructor which will create auto event.
| ACE_Auto_Event (int initial_state, int type, const wchar_t *name, void *arg=0)
| Constructor which will create auto event (wchar_t version).
| ~ACE_Auto_Event (void)
| Default dtor.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Auto Events.

Specialization of Event mechanism which wakes up one waiting thread on <signal>. All platforms support process-scope locking support. However, only Win32 platforms support global naming and system-scope locking support.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Auto_Event::ACE_Auto_Event | ( | int | initial_state = `0`,
|  | int | type = `USYNC_THREAD`,
|  | const char * | name = `0`,
|  | void * | arg = `0`
| ) |

| Constructor which will create auto event.

ACE_Auto_Event::ACE_Auto_Event | ( | int | initial_state,
|  | int | type,
|  | const wchar_t * | name,
|  | void * | arg = `0`
| ) |

| Constructor which will create auto event (wchar_t version).

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Auto_Event::~ACE_Auto_Event | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_Auto_Event::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Event.

## Member Data Documentation

ACE_Auto_Event::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Event.

The documentation for this class was generated from the following files:

- Auto_Event.h
- Auto_Event.cpp
- Auto_Event.inl